/*
 * BSD License for xmlfy
 * Copyright (c) 2008-2010, Arthur Gouros
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * - Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * - Neither the name of Arthur Gouros nor the names of its contributors 
 *   may be used to endorse or promote products derived from this software 
 *   without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**************************************************************************
 * xmlfy - Convert text/UTF based output into XML format.                 *
 *         Original Author: Arthur Gouros.                                *
 *                                                                        *
 *         Please consult the documentation for further information.      *
 **************************************************************************
 */

/* arg messages */

/* general messages */
char MSG_UNKNOWN_OPTION[] =
"%s: ERROR: Unknown option: %s%s";
char MSG_PARAMETER_INVALID[] =
"%s: ERROR: Option %s: Unsupported parameter: %s.%s";
char MSG_PARAMETER_SECOND_INVALID[] =
"%s: ERROR: Option %s %s: Unsupported parameter: %s.%s";
char MSG_PARAMETER_MISSING[] =
"%s: ERROR: Option %s requires a parameter to be specified.%s";
char MSG_PARAMETER_SECOND_MISSING[] =
"%s: ERROR: Option %s %s requires a parameter to be specified.%s";
char MSG_PARAMETER_MISSING_TWO_REQUIRED[] =
"%s: ERROR: Option %s %s requires 2 parameters to be specified.%s";
char MSG_INVALID_LEVEL[] =
"%s: ERROR: Option %s has an invalid level specified.%s";
char MSG_INVALID_RANGE[] =
"%s: ERROR: Option %s has an illegal range specified: %s%s";
char MSG_NO_RANGE[] =
"%s: ERROR: Option %s requires a range to be specified.%s";

/* schema file messages */
char MSG_SCHEMA_ILLEGAL_OPTION[] =
"%s: ERROR: Illegal option is specified in schema file: %s%s";
char MSG_SCHEMA_INVALID_OPTION[] = 
"%s: ERROR: Option %s cannot be specified in a schema file.%s";
char MSG_SCHEMA_NO_FILE[] = 
"%s: ERROR: Option %s requires a schema file to be specified.%s";
char MSG_SCHEMA_DTD_NO_FILE[] = 
"%s: ERROR: Option %s requires a DTD schema file to be specified.%s";
char MSG_SCHEMA_RNC_NO_FILE[] = 
"%s: ERROR: Option %s requires a RNC schema file to be specified.%s";
char MSG_SCHEMA_XSD_NO_FILE[] = 
"%s: ERROR: Option %s requires a XSD schema file to be specified.%s";
char MSG_SCHEMA_UNSUPPORTED_EXTENSION[] = 
"%s: ERROR: Option %s has an unsupported schema file extension %s.%s";
char MSG_SCHEMA_MULTIPLE_FILES[] =
"%s: ERROR: Option %s only one schema file can be specified.%s";
char MSG_SCHEMA_KVP_INVALID_OPTION[] =
"%s: ERROR: Option %s cannot be used with option --keyvaluepairs.%s";

/* delimiter messages */
char MSG_DELIMITER_NO_DELIMITER[] =
"%s: ERROR: Option %s requires a delimiter to be specified.%s";
char MSG_DELIMITER_CONFLICT_WITH_COLUMN_OPTION[] =
"%s: ERROR: Option %s conflicts with option --column.%s";
char MSG_DELIMITER_INVALID_SCOPE[] =
"%s: ERROR: Option %s has an invalid scope specified.%s";
char MSG_DELIMITER_NO_SCOPE[] =
"%s: ERROR: Option %s has no scope specified.%s";
char MSG_DELIMITER_NO_LEVEL[] =
"%s: ERROR: Option %s has no level specified.%s";


/* other messages */
char MSG_COLUMN_CONFLICT_WITH_LEVEL_OPTION[] =
"%s: ERROR: Option %s cannot be used with delimiter levels of 2 or greater.%s";
char MSG_KVP_SCHEMA_INVALID_OPTION[] =
"%s: ERROR: Option %s cannot be used with a schema file.%s";
char MSG_SYSTEM_IDENTIFIER_PARAMETER_MISSING[] =
"%s: ERROR: Option %s requires a system_identifier to be specified.%s";
char MSG_QUOTECHARS_ARRAY_PARAMETER_MISSING[] =
"%s: ERROR: Option %s requires a quotechars array to be specified.%s";
char MSG_QUOTECHARS_ARRAY_ONLY_ONE_ALLOWED[] =
"%s: ERROR: Option %s only one quotechars array can be specified.%s";
char MSG_QUOTECHARS_ARRAY_PARAMETER_UNPAIRED[] =
"%s: ERROR: Option %s has an unpaired quote in quotechars array.%s";

